diff --git a/web/pgadmin/about/static/js/about.js b/web/pgadmin/about/static/js/about.js
index c692ae1c..1e72c917 100644
--- a/web/pgadmin/about/static/js/about.js
+++ b/web/pgadmin/about/static/js/about.js
@@ -1,13 +1,13 @@
 define(
   ['jquery', 'alertify', 'sources/pgadmin', 'underscore.string', 'sources/gettext',
-   'sources/url_for'
+    'sources/url_for',
   ],
   function($, alertify, pgAdmin, S, gettext, url_for) {
     pgAdmin = pgAdmin || window.pgAdmin || {};
 
     /* Return back, this has been called more than once */
     if (pgAdmin.About)
-        return;
+      return;
 
     pgAdmin.About = {
       about_show: function() {
@@ -20,14 +20,14 @@ define(
               },
               setup: function() {
                 return {
-                  buttons:[{ text: gettext("OK"), key: 27, className: "btn btn-primary" }],
+                  buttons:[{ text: gettext('OK'), key: 27, className: 'btn btn-primary' }],
                   options: {
                     modal: false,
                     resizable: true,
                     maximizable: true,
                     pinnable: false,
-                    closableByDimmer: false
-                  }
+                    closableByDimmer: false,
+                  },
                 };
               },
               build: function() {
@@ -35,19 +35,18 @@ define(
               },
               prepare:function() {
                 this.setContent(this.message);
-              }
+              },
             };
           });
         }
 
-        var content = '';
         $.get(url_for('about.index'),
             function(data) {
               alertify.aboutDialog(
-                  S(gettext("About %s")).sprintf(pgAdmin.Browser.utils.app_name).value(), data
+                  S(gettext('About %s')).sprintf(pgAdmin.Browser.utils.app_name).value(), data
               ).resizeTo(800, 450);
             });
-      }
+      },
     };
 
     return pgAdmin.About;
diff --git a/web/pgadmin/dashboard/static/js/dashboard.js b/web/pgadmin/dashboard/static/js/dashboard.js
index 0da32f60..6fcef0fb 100644
--- a/web/pgadmin/dashboard/static/js/dashboard.js
+++ b/web/pgadmin/dashboard/static/js/dashboard.js
@@ -1,14 +1,15 @@
 define('pgadmin.dashboard', [
-    'sources/url_for', 'sources/gettext', 'require', 'jquery', 'underscore',
-    'sources/pgadmin', 'backbone', 'backgrid', 'flotr2',
-    'pgadmin.alertifyjs', 'backgrid.filter',
-    'pgadmin.browser', 'bootstrap', 'wcdocker'
-    ],
-function(url_for, gettext, r, $, _, pgAdmin, Backbone, Backgrid, Flotr,
-  alertify) {
-
-  var wcDocker = window.wcDocker,
-  pgBrowser = pgAdmin.Browser;
+  'sources/url_for', 'sources/gettext', 'require', 'jquery', 'underscore',
+  'sources/pgadmin', 'backbone', 'backgrid', 'flotr2',
+  'pgadmin.alertifyjs', 'pgadmin.backform', 'backgrid.filter',
+  'pgadmin.browser', 'bootstrap', 'wcdocker',
+], function(
+  url_for, gettext, r, $, _, pgAdmin, Backbone, Backgrid, Flotr,
+  Alertify, Backform
+) {
+
+  pgAdmin.Browser = pgAdmin.Browser || {};
+  var pgBrowser = pgAdmin.Browser;
 
   /* Return back, this has been called more than once */
   if (pgAdmin.Dashboard)
@@ -24,102 +25,103 @@ function(url_for, gettext, r, $, _, pgAdmin, Backbone, Backgrid, Flotr,
 
   // Custom BackGrid cell, Responsible for cancelling active sessions
   var customDashboardActionCell = Backgrid.Extension.DeleteCell.extend({
-        render: function () {
-          this.$el.empty();
-          var self = this,
-            cell_action = self.column.get('cell_action');
-          // if cancel query button then
-          if (cell_action === 'cancel') {
-            this.$el.html(
-              "<i class='fa fa-stop' data-toggle='tooltip' " +
-              "title='" + gettext('Cancel the active query') +
-              "'></i>"
-            );
-          } else {
-            this.$el.html(
-              "<i class='fa fa-times-circle' data-toggle='tooltip' " +
-              "title='" + gettext('Terminate the session') +
-              "'></i>"
-            );
-          }
-          this.delegateEvents();
-          return this;
-        },
-        deleteRow: function(e) {
-          var self = this,
-            title, txtConfirm, txtSuccess, txtError, action_url,
-            cell_action = self.column.get('cell_action');
-
-          e.preventDefault();
-
-          var canDeleteRow = Backgrid.callByNeed(
-            self.column.get('canDeleteRow'), self.column, self.model
-          );
-          // If we are not allowed to cancel the query, return from here
-          if(!canDeleteRow)
-            return;
-
-          // This will refresh the grid
-          var refresh_grid = function() {
-            if(is_server_dashboard) {
-              $('#btn_server_activity_refresh').click();
-            } else if(is_database_dashboard) {
-              $('#btn_database_activity_refresh').click();
-            }
-          };
-
-          if (cell_action === 'cancel') {
-            title = gettext('Cancel Active Query?');
-            txtConfirm = gettext('Are you sure you wish to cancel the active query?');
-            txtSuccess = gettext('Active query cancelled successfully.')
-            txtError = gettext('An error occurred whilst cancelling the active query.')
-            action_url = cancel_query_url + self.model.get('pid')
-          } else {
-            title = gettext('Terminate Session?');
-            txtConfirm = gettext('Are you sure you wish to terminate the session?');
-            txtSuccess = gettext('Session terminated successfully.')
-            txtError = gettext('An error occurred whilst terminating the active query.')
-            action_url = terminate_session_url + self.model.get('pid')
-          }
+    render: function() {
+      this.$el.empty();
+      var self = this,
+        cell_action = self.column.get('cell_action');
+      // if cancel query button then
+      if (cell_action === 'cancel') {
+        this.$el.html(
+          '<i class=\'fa fa-stop\' data-toggle=\'tooltip\' ' +
+          'title=\'' + gettext('Cancel the active query') +
+          '\'></i>'
+        );
+      } else {
+        this.$el.html(
+          '<i class=\'fa fa-times-circle\' data-toggle=\'tooltip\' ' +
+          'title=\'' + gettext('Terminate the session') +
+          '\'></i>'
+        );
+      }
+      this.delegateEvents();
+      return this;
+    },
+    deleteRow: function(e) {
+      var self = this,
+        title, txtConfirm, txtSuccess, txtError, action_url,
+        cell_action = self.column.get('cell_action');
+
+      e.preventDefault();
+
+      var canDeleteRow = Backgrid.callByNeed(
+        self.column.get('canDeleteRow'), self.column, self.model
+      );
+      // If we are not allowed to cancel the query, return from here
+      if (!canDeleteRow)
+        return;
+
+      // This will refresh the grid
+      var refresh_grid = function() {
+        if (is_server_dashboard) {
+          $('#btn_server_activity_refresh').click();
+        } else if (is_database_dashboard) {
+          $('#btn_database_activity_refresh').click();
+        }
+      };
+
+      if (cell_action === 'cancel') {
+        title = gettext('Cancel Active Query?');
+        txtConfirm = gettext('Are you sure you wish to cancel the active query?');
+        txtSuccess = gettext('Active query cancelled successfully.');
+        txtError = gettext('An error occurred whilst cancelling the active query.');
+        action_url = cancel_query_url + self.model.get('pid');
+      } else {
+        title = gettext('Terminate Session?');
+        txtConfirm = gettext('Are you sure you wish to terminate the session?');
+        txtSuccess = gettext('Session terminated successfully.');
+        txtError = gettext('An error occurred whilst terminating the active query.');
+        action_url = terminate_session_url + self.model.get('pid');
+      }
 
-          alertify.confirm(
-            title,
-            txtConfirm,
-            function(evt) {
-              $.ajax({
-                url: action_url,
-                type:'DELETE',
-                success: function(res) {
-                  if (res == gettext('Success')) {
-                    alertify.success(txtSuccess);
-                    refresh_grid();
-                  } else {
-                    alertify.error(txtError);
-                  }
-                },
-                error: function(xhr, status, error) {
-                  try {
-                    var err = $.parseJSON(xhr.responseText);
-                    if (err.success == 0) {
-                      alertify.error(err.errormsg);
-                    }
-                  } catch (e) {}
+      Alertify.confirm(
+        title, txtConfirm,
+        function() {
+          $.ajax({
+            url: action_url,
+            type: 'DELETE',
+            success: function(res) {
+              if (res == gettext('Success')) {
+                Alertify.success(txtSuccess);
+                refresh_grid();
+              } else {
+                Alertify.error(txtError);
+              }
+            },
+            error: function(xhr) {
+              try {
+                var err = $.parseJSON(xhr.responseText);
+                if (err.success == 0) {
+                  Alertify.error(err.errormsg);
                 }
-              });
+              } catch (e) {
+                console.warn(e.stack || e);
+              }
             },
-            function(evt) {
-              return true;
-            }
-          );
+          });
+        },
+        function() {
+          return true;
         }
+      );
+    },
   });
 
 
   // Subnode Cell, which will display subnode control
   var SessionDetailsCell = Backgrid.Extension.ObjectCell.extend({
-   enterEditMode: function () {
+    enterEditMode: function() {
       // Notify that we are about to enter in edit mode for current cell.
-      this.model.trigger("enteringEditMode", [this]);
+      this.model.trigger('enteringEditMode', [this]);
 
       Backgrid.Cell.prototype.enterEditMode.apply(this, arguments);
       /* Make sure - we listen to the click event */
